org.apache.jmeter.visualizers

## Class StatGraphProperties

- java.lang.Object
- - org.apache.jmeter.visualizers.StatGraphProperties

    public class StatGraphProperties
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`StatGraphProperties()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Map<String,String>` `getFontNameMap()`
`static String[]` `getFontSize()`
`static Map<String,Integer>` `getFontStyleMap()`
`static Map<String,Integer>` `getPlacementNameMap()`
`static Map<String,Shape>` `getPointShapeMap()`
`static String[]` `getStrokeWidth()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StatGraphProperties

    public StatGraphProperties()

### Method Detail

#### getFontNameMap

    public static Map<String,String> getFontNameMap()

#### getFontSize

    public static final String[] getFontSize()

Returns:
  array of String containing font sizes

#### getStrokeWidth

    public static final String[] getStrokeWidth()

Returns:
  array of String containing stroke widths

#### getFontStyleMap

    public static Map<String,Integer> getFontStyleMap()

#### getPlacementNameMap

    public static Map<String,Integer> getPlacementNameMap()

#### getPointShapeMap

    public static Map<String,Shape> getPointShapeMap()